PKGCTL-REPO-SWITCH(1)

NAME
pkgctl-repo-switch - Switch a package repository to a specified version

SYNOPSIS

pkgctl repo switch [OPTIONS] [VERSION] [PKGBASE]...

DESCRIPTION

Switch a package source repository to a specified version, tag or branch. The working tree and the index are updated to match the specified ref.

If a version identifier is specified in the pacman version format, that identifier is automatically translated to the Git tag name accordingly.

The current working directory is used if no PKGBASE is specified.

OPTIONS

--discard-changes
    Proceed even if the index or the working tree differs from HEAD. Both the index and working tree are restored to match the switching target.

-f, --force
    An alias for --discard-changes.

-h, --help
    Show a help text

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.